## ide-source-snippet-private ide-source-snippet-private |

## Functions

gboolean | ide_source_snippet_begin ()
void | ide_source_snippet_pause ()
void | ide_source_snippet_unpause ()
void | ide_source_snippet_finish ()
gboolean | ide_source_snippet_move_next ()
gboolean | ide_source_snippet_move_previous ()
void | ide_source_snippet_before_insert_text ()
void | ide_source_snippet_after_insert_text ()
void | ide_source_snippet_before_delete_range ()
void | ide_source_snippet_after_delete_range ()
gboolean | ide_source_snippet_insert_set ()

## Description

## Functions

### ide_source_snippet_begin ()

    gboolean
    ide_source_snippet_begin (IdeSourceSnippet *snippet,
                              GtkTextBuffer *buffer,
                              GtkTextIter *iter);

### ide_source_snippet_pause ()

    void
    ide_source_snippet_pause (IdeSourceSnippet *snippet);

### ide_source_snippet_unpause ()

    void
    ide_source_snippet_unpause (IdeSourceSnippet *snippet);

### ide_source_snippet_finish ()

    void
    ide_source_snippet_finish (IdeSourceSnippet *snippet);

### ide_source_snippet_move_next ()

    gboolean
    ide_source_snippet_move_next (IdeSourceSnippet *snippet);

### ide_source_snippet_move_previous ()

    gboolean
    ide_source_snippet_move_previous (IdeSourceSnippet *snippet);

### ide_source_snippet_before_insert_text ()

    void
    ide_source_snippet_before_insert_text (IdeSourceSnippet *snippet,
                                           GtkTextBuffer *buffer,
                                           GtkTextIter *iter,
                                           gchar *text,
                                           gint len);

### ide_source_snippet_after_insert_text ()

    void
    ide_source_snippet_after_insert_text (IdeSourceSnippet *snippet,
                                          GtkTextBuffer *buffer,
                                          GtkTextIter *iter,
                                          gchar *text,
                                          gint len);

### ide_source_snippet_before_delete_range ()

    void
    ide_source_snippet_before_delete_range
                                   (IdeSourceSnippet *snippet,
                                    GtkTextBuffer *buffer,
                                    GtkTextIter *begin,
                                    GtkTextIter *end);

### ide_source_snippet_after_delete_range ()

    void
    ide_source_snippet_after_delete_range (IdeSourceSnippet *snippet,
                                           GtkTextBuffer *buffer,
                                           GtkTextIter *begin,
                                           GtkTextIter *end);

### ide_source_snippet_insert_set ()

    gboolean
    ide_source_snippet_insert_set (IdeSourceSnippet *snippet,
                                   GtkTextMark *mark);

## Types and Values